{% extends 'blog/base.html' %}

{% block title %}
{{category.title}}

{% endblock %}

{% block content %}
    <div class="container">
        <div class="row">
            <div class="col-md-9" style="padding: 20px;">
                {% if post.image.url != null %}
                <img src="{{category.image.url}}" style="width: 100%; height: 300px; object-fit: cover;" alt="">
                {% endif %}
                <h3>{{ category.title }}</h3><hr>
                <div class="row">
                    {% for post in category.post_set.all %}
                    <div class="col-md-4">
                      <div class="card">
                        {% if post.image.url != null %}
                        <img style="height: 250px; object-fit: cover;" src="{{post.image.url}}" class="card-img-top" alt="...">
                        {% endif %}
                        <div class="card-body">
                          <h5 class="card-title">{{post.title}}</h5>
                          <p class="card-text">{{post.content|safe|slice:'0:100'}}...</p>
                          <a href="{{post.category.get_absolute_url}}" class="btn btn-primary">{{post.category.title}}</a>
                        </div>
                      </div>
                    </div>
                    {% endfor %}
                </div>
                
            </div>
            <div class="col-md-3"></div>
        </div>
    </div>
{% endblock %}